package com.sdut.labex.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sdut.labex.entity.Room;
import com.sdut.labex.utils.ResVo;

/**
 * @author springforest
 * @description 针对表【room(房间)】的数据库操作Service
 * @createDate 2023-06-12 08:07:15
 */
public interface RoomService extends IService<Room> {

    public ResVo getAllRoom();

    public ResVo deleteRoomById(int id);

    public ResVo addRoom(Room room);

    public ResVo updateRoom(Room room);
}
